mphodge
Enthusiast
Enthusiast

VC 2.5 Update 3 upgrade fails with db_config.exe error

I am currently using VC 2.5.0 Build 84767 and trying to upgrade to the latest Update 3.

The database is shared using an existing Oracle DB (10g 10.1).

Going through the wizard, I am selecting all 4 components to upgrade (VI client, VC, VUM, Converter), then I choose existing DB and enter the password.

Then I get a warning "The DSN points to an older version of database repository which requires upgrading. The upgrade is required and it will make the repository incompatible with older product versions."

So I click OK, then select my existing license server (which is running locally). Then I verify VC ports and enter my admin user and password.

At this point, the installer crashes with "db_config.exe - Application Error". The instruction at "0x7c82caa2" referenced memory at "0xfffffffff". The memory could not be "read". Click on OK to terminate the program.

I have tried this several times now and I get the exact same error every time, even when stopping all the VMware services.

The only file in Windows\Temp is "logFile-log4cpp.log" which says "[createDbSchema, 343] Oracle Connection Initiated ..."

This is a live environment and I don't really want to have to do a complete uninstall and reinstall if possible, so any ideas would be appreciated!

0 Kudos
2 Replies
admin
Immortal
Immortal

I hate to be a stick in the mud but the experiences I've have had with oracle wanted me to hurt myself with hot pokers and rolls of barbed wire as it was less painfull, this aint the best answer I know but I'd advise you to raise an SR with VMware as Oracle + Vmware seems to be like chalk and cheese

0 Kudos
richlane79
Contributor
Contributor

I've been getting the exact same error on Update 4 from Update 3. Did you ever solve this?

0 Kudos